package component

import (
	"image"

	"code.rocketnine.space/tslocum/boxbrawl/asset"
)

// AllPlayerFrames defines all frame data for the game. Frames are defined in reverse order.
var AllPlayerFrames = [][][]FrameData{
	{ // ActionIdle
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 15, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 16, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 17, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 18, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 19, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 20, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 21, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 22, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 23, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 24, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 25, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 26, 0)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 27, 0)),
		},
	}, { // ActionStunned
		{
			FrameData{
				T: HitboxNone,
				R: image.Rect(0, 0, 0, 0),
				S: asset.FrameAt(asset.ImgPlayer, 0, 2),
			},
		},
	}, { // ActionPunch
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 1)),
		},
		{
			{
				T: HitboxNormal,
				R: image.Rect(0, 0, PlayerSize, PlayerSize),
				S: asset.FrameAt(asset.ImgPlayer, 12, 1),
			},
			{
				T: HitboxHurt,
				R: image.Rect(-5, -5, PlayerSize+10, PlayerSize+10),
			},
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 1)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 1)),
		},
	}, { // ActionKick
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 12)),
			{
				T: HitboxHurt,
				R: image.Rect(-5, -5, PlayerSize+10, PlayerSize+10),
			},
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 12)),
		},
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 12)),
		},
	}, { // ActionBlock
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 11)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 11)),
		},
	}, { // ActionTaunt1
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 28, 4)),
			FrameData{
				G: 15,
			},
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 27, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 26, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 25, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 24, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 23, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 22, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 21, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 20, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 19, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 18, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 17, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 16, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 15, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 4)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 3)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 3)),
		},
	}, { // ActionTaunt2
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 6)),
			FrameData{
				G: 41,
			},
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 6)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 40, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 39, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 38, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 37, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 36, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 35, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 34, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 33, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 32, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 31, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 30, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 29, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 28, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 27, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 26, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 25, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 24, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 23, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 22, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 21, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 20, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 19, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 18, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 17, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 16, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 15, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 5)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 5)),
		},
	}, { // ActionTaunt3
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 22, 8)),
			FrameData{
				G: 19,
			},
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 21, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 20, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 19, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 18, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 17, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 16, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 15, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 8)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 18, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 17, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 16, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 15, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 7)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 7)),
		},
	}, { // ActionTaunt4
		{
			stdHit(asset.FrameAt(asset.ImgPlayer, 27, 10)),
			FrameData{
				G: 35,
			},
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 26, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 25, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 24, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 23, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 22, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 21, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 20, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 19, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 18, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 17, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 16, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 15, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 10)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 34, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 33, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 32, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 31, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 30, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 29, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 28, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 27, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 26, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 25, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 24, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 23, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 22, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 21, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 20, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 19, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 18, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 17, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 16, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 15, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 14, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 13, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 12, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 11, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 10, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 9, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 8, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 7, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 6, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 5, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 4, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 3, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 2, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 1, 9)),
		}, {
			stdHit(asset.FrameAt(asset.ImgPlayer, 0, 9)),
		},
	},
}
